<?php

/*********************************************************************

 プロフィールタグクラウド表示プラグイン (2014/11/04)

 freo.jp
 customize by I'll be NET (http://illbenet.jp）
 解説URL：http://illbenet.jp/index.php/download/freo/plugin_profile_tagcloud

*********************************************************************/

/* メイン処理 */
function freo_end_profile_tagcloud()
{
	global $freo;

	//プロフィールタグ取得
	$stmt = $freo->pdo->query('SELECT user_id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_profiles WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$profile_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($profile_tags[$tag])) {
				$profile_tags[$tag]++;
			} else {
				$profile_tags[$tag] = 1;
			}
		}
	}

	ksort($profile_tags, SORT_STRING);

	$data = '';
	foreach ($profile_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//プロフィールタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/profile_tagcloud.log', $data) === false) {
		freo_error('プロフィールタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/profile_tagcloud.log に書き込めません。');
	}

	return;
}

?>
